Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedRect.BaseSVGRect

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMRect
          org.apache.batik.dom.svg.SVGOMAnimatedRect.BaseSVGRect

All Implemented Interfaces:
  org.w3c.dom.svg.SVGRect

Enclosing class:
  SVGOMAnimatedRect

    protected class SVGOMAnimatedRect.BaseSVGRect

extends SVGOMRect

This class represents the SVGRect returned by getBaseVal().

Field Summary
`protected boolean` | `valid` Whether this rect is valid.

Fields inherited from class org.apache.batik.dom.svg.SVGOMRect
`h, w, x, y`

Constructor Summary
`protected` | `SVGOMAnimatedRect.BaseSVGRect()`

Method Summary
`float` | `getHeight()` DOM: Implements `SVGRect.getHeight()`.
`float` | `getWidth()` DOM: Implements `SVGRect.getWidth()`.
`float` | `getX()` DOM: Implements `SVGRect.getX()`.
`float` | `getY()` DOM: Implements `SVGRect.getY()`.
`void` | `invalidate()` Invalidates this length.
`protected void` | `reset()` Resets the value of the associated attribute.
`protected void` | `revalidate()` Initializes the length, if needed.
`void` | `setHeight(float height)` DOM: Implements `SVGRect.setHeight(float)`.
`void` | `setWidth(float width)` DOM: Implements `SVGRect.setWidth(float)`.
`void` | `setX(float x)` DOM: Implements `SVGRect.setX(float)`.
`void` | `setY(float y)` DOM: Implements `SVGRect.setY(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valid

    protected boolean valid

  Whether this rect is valid.

Constructor Detail

### SVGOMAnimatedRect.BaseSVGRect

    protected SVGOMAnimatedRect.BaseSVGRect()

Method Detail

### invalidate

    public void invalidate()

  Invalidates this length.

### reset

    protected void reset()

  Resets the value of the associated attribute.

### revalidate

    protected void revalidate()

  Initializes the length, if needed.

### getX

    public float getX()

  DOM: Implements `SVGRect.getX()`.

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `getX` in class `SVGOMRect`

### setX

    public void setX(float x)
              throws DOMException

  DOM: Implements `SVGRect.setX(float)`.

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `setX` in class `SVGOMRect`
  Throws:
    `DOMException`

### getY

    public float getY()

  DOM: Implements `SVGRect.getY()`.

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `getY` in class `SVGOMRect`

### setY

    public void setY(float y)
              throws DOMException

  DOM: Implements `SVGRect.setY(float)`.

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `setY` in class `SVGOMRect`
  Throws:
    `DOMException`

### getWidth

    public float getWidth()

  DOM: Implements `SVGRect.getWidth()`.

  Specified by:
    `getWidth` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `getWidth` in class `SVGOMRect`

### setWidth

    public void setWidth(float width)
                  throws DOMException

  DOM: Implements `SVGRect.setWidth(float)`.

  Specified by:
    `setWidth` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `setWidth` in class `SVGOMRect`
  Throws:
    `DOMException`

### getHeight

    public float getHeight()

  DOM: Implements `SVGRect.getHeight()`.

  Specified by:
    `getHeight` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `getHeight` in class `SVGOMRect`

### setHeight

    public void setHeight(float height)
                   throws DOMException

  DOM: Implements `SVGRect.setHeight(float)`.

  Specified by:
    `setHeight` in interface `org.w3c.dom.svg.SVGRect`
  Overrides:
    `setHeight` in class `SVGOMRect`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.